
/**
 * Here an initialization of an triangle-like array is done.
 * 
 * @author Thomas H. A. Dammann
 * @version $Revision: 1.1 $ --- $Date: 2001/08/23 10:24:30 $
 */


public class TriangleArray
{
    final int MAX = 8;
    public int[][] triArray = new int[MAX][];


    /**
     * Example of the lerning unit 3 to show the dynamical initialization of multi-dimensional arrays.
     * */

    public void main()
    {
        int row,        // Row of the matrix
            col;        // Column of the matrix

				for (int i = 0; i < MAX; i++)
				{
					triArray[i] = new int[i + 1];
				}
            
        // Initialize matrax
        for (row = 0; row < MAX; row++)
        {
            for (col = 0; col <= row; col++)
            {
								triArray[row][col] = row + col;
            }
        }

        // Print the array
        for (row = 0; row < MAX; row++)
        {

            // Print "row" 
            for (col = 0; col <= row; col++)
            {
                Format.print(System.out,"%3d",triArray[row][col]);
            }

						// Print a new line
						System.out.println("");

        }


    }
}
